#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>

//brStal = N; perVisina = L;
int main()
{   
    int brStal, perVisina;
    scanf("%d %d", &brStal, &perVisina);

    int n = -1;
    bool x = true;

    for(int a=1; a<=brStal; a++)
    {
        int trStalaktit;
        scanf("%d", &trStalaktit);

        if(trStalaktit<=perVisina && x==true)
        {
            n = a;
            x = false;
        }
    }

    return n;
}